> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /Library (Business)

> This endpoint will return a list of all currently available Attributes in our Attributes Library for Business.

This endpoint will return a list of all currently available Attributes in our Attributes Library for Business.


## OpenAPI

````yaml GET /v3/{customerId}/attributes/library/business
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/attributes/library/business:
    get:
      tags:
        - Enrich
      summary: Library (Business)
      description: >-
        This endpoint will return a list of all currently available Attributes
        in our Attributes Library for Business.
      operationId: businessLibrary
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment specified in the instance field.
        - name: Authorization
          in: header
          description: >-
            Contains the Bearer Token (the API secret key that Flinks provides
            you with).
          schema:
            type: string
            default: Bearer {API Secret}
      responses:
        '200':
          description: Partial Attributes Library Request (Business)
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    Category:
                      type: string
                    Attributes:
                      type: array
                      items:
                        type: object
                        properties:
                          Name:
                            type: string
                          Description:
                            type: string
        '400':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object

````